
spring:
  application:
    name: products
  datasource:
    host: localhost
    port: 5432
    database: asimsproducts
    username: postgres
    password: postgres
    url: jdbc:postgresql://${spring.datasource.host}:${spring.datasource.port}/${spring.datasource.database}
    hikari:
      connectionTimeout: 20000
      maximumPoolSize: 5
  jpa:
    open-in-view: false
    show-sql: false
    hibernate:
      ddl-auto: create
  sql:
    init:
      encoding: UTF-8
      mode: always
      continue-on-error: false
logging:
  pattern:
    console: "%d{yyyy-MMM-dd HH:mm:ss.SSS} [%thread] %highlight(%-5level) %cyan(%logger{15}) - %msg %n"
  level:
   root: INFO
   org.hibernate.SQL: INFO

eureka:
  client:
    serviceUrl:
      defaultZone: http://localhost:8091/eureka

server.port: 9091

